version: '3.1'
session_config:
  session_expiration_time: 60
  carry_over_slots_to_new_session: true
intents:
- affirm
- bot_challenge
- calc_toll_rate
- deny
- goodbye
- greet
- inform
- mood_great
- mood_unhappy
- stop
entities:
- emmision
- weight
- axel
forms:
  calc_rate_form:
    required_slots:
    - emmision
    - weight
    - axel
slots:
  emmision:
    type: text
    influence_conversation: true
    mappings:
    - type: from_entity
      entity: emmision
      conditions:
      - active_loop: calc_rate_form
        requested_slot: emmision
  weight:
    type: text
    influence_conversation: true
    mappings:
    - type: from_entity
      entity: weight
      conditions:
      - active_loop: calc_rate_form
        requested_slot: weight
  axel:
    type: text
    influence_conversation: true
    mappings:
    - type: from_entity
      entity: axel
      conditions:
      - active_loop: calc_rate_form
        requested_slot: axel
responses:
  utter_greet:
  - text: Hey! How can i help you?
  utter_cheer_up:
  - text: 'Here is something to cheer you up:'
    image: https://i.imgur.com/nGF1K8f.jpg
  utter_did_that_help:
  - text: Did that help you?
  utter_happy:
  - text: Great, carry on!
  utter_goodbye:
  - text: Bye
  utter_iamabot:
  - text: I am a bot, powered by Rasa.
  utter_submit:
  - text: I will now calculate your toll rate!
  utter_toll_rate_slots:
  - text: I will calculate toll rate for a vehicle with {emmision} emmision and {weight} weight class with {axel} axels.
  utter_ask_continue:
  - text: Are you sure you want to stop the form?
  utter_ask_emmision:
  - text: What is the emmision class of your vehicle?
  utter_ask_weight:
  - text: What is the weight class of your vehicle?
actions:
- action_ask_axel
- action_ask_emmision
- action_ask_weight
- action_calc_toll_rate
- utter_ask_continue
- utter_goodbye
- utter_greet
- utter_iamabot
- utter_submit
- utter_toll_rate_slots
- validate_calc_rate_form
